compression.hpp File Reference
API

compression parameters for API More...

`#include "../my_config.h"`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations

enum class | libdar::compression { libdar::compression::none = 'n' , libdar::compression::gzip = 'z' , libdar::compression::bzip2 = 'y' , libdar::compression::lzo = 'l' , libdar::compression::xz = 'x' , libdar::compression::lzo1x_1_15 = 'j' , libdar::compression::lzo1x_1 = 'k' , libdar::compression::zstd = 'd' , libdar::compression::lz4 = 'q' }
| the different compression algorithm available More...

## Functions

compression | libdar::char2compression (char a)
| convert a char as stored in archive to its compression value
bool | libdar::char2compression_mode (char a)
char | libdar::compression2char (compression c, bool per_block=false)
| convert a compression value to a char for storing in archive
std::string | libdar::compression2string (compression c)
| convert a compression to its string representation
compression | libdar::string2compression (const std::string &a)
| convert a string representing a compression algorithm to its enum compression value

## Detailed Description

compression parameters for API

Definition in file compression.hpp.